Uploaded image for project: 'Lustre'
  1. Lustre
  2. LU-790

"patchless_client" is hard-coded as Lustre kernel version

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: Lustre 2.1.0, Lustre 1.8.6
    • Fix Version/s: Lustre 2.8.0
    • Labels:
      None
    • Severity:
      3
    • Rank (Obsolete):
      7590

      Description

      After I set up a Lustre server and ran "lctl get_param -n version", I got:

      [root@fat-intel-2 ~]# uname -a
      Linux fat-intel-2.lab.whamcloud.com 2.6.18-238.19.1.el5_lustre.g42758c3 #1 SMP Wed Oct 5 21:19:10 PDT 2011 x86_64 x86_64 x86_64 GNU/Linux
      
      [root@fat-intel-2 ~]# lctl get_param -n version
      lustre: 2.1.50
      kernel: patchless_client
      build:  jenkins-gb05ed4f-PRISTINE-2.6.18-238.19.1.el5_lustre.g42758c3
      

      The node is not a patchless Lustre client, but the above command showed "kernel: patchless_client", which is confusable.

      The "patchless_client" string is hard-coded in obd_proc_read_version() as Lustre kernel version without doing some checks.

        Attachments

          Activity

            People

            • Assignee:
              adilger Andreas Dilger
              Reporter:
              yujian Jian Yu
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: